classification
Title: rewrite test_struct as a unittest
Type: enhancement Stage:
Components: Tests Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, giampaolo.rodola
Priority: low Keywords: easy, patch

Created on 2008-05-18 22:23 by benjamin.peterson, last changed 2008-06-11 12:35 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
test_struct.py.diff giampaolo.rodola, 2008-06-08 19:49
Messages (6)
msg67051 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-18 22:23
Perhaps a bigger bug day task?
msg67847 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-06-08 19:49
In attachment. All existing tests are unchanged.
All tests passed on Windows XP sp3 and Linux Ubuntu Breezie both
equipped with Python-2.6a3.
msg67934 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-06-11 01:33
Thanks very much. Reviewed and committed in r64097.
msg67935 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-06-11 01:39
I'm sorry. I meant r64102.
msg67957 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-06-11 12:33
In case you're interested there are a bunch of other tests I converted:
http://bugs.python.org/issue?%40search_text=unittest&title=&%40columns=title&id=&%40columns=id&creation=&creator=giampaolo.rodola&activity=&%40columns=activity&%40sort=activity&actor=&nosy=&type=&components=&versions=&dependencies=&assignee=&keywords=&priority=&%40group=priority&status=1&%40columns=status&resolution=&%40pagesize=50&%40startwith=0&%40queryname=&%40old-queryname=&%40action=search
Some of them are really simple and can be committed easily.
msg67958 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-06-11 12:35
On Wed, Jun 11, 2008 at 7:33 AM, Giampaolo Rodola'
<report@bugs.python.org> wrote:
>
> Giampaolo Rodola' <billiejoex@users.sourceforge.net> added the comment:
>
> In case you're interested there are a bunch of other tests I converted:
> http://bugs.python.org/issue?%40search_text=unittest&title=&%40columns=title&id=&%40columns=id&creation=&creator=giampaolo.rodola&activity=&%40columns=activity&%40sort=activity&actor=&nosy=&type=&components=&versions=&dependencies=&assignee=&keywords=&priority=&%40group=priority&status=1&%40columns=status&resolution=&%40pagesize=50&%40startwith=0&%40queryname=&%40old-queryname=&%40action=search
> Some of them are really simple and can be committed easily.

Ok. Will do after these stressful betas.
History
Date User Action Args
2008-06-11 12:35:51benjamin.petersonsetmessages: + msg67958
2008-06-11 12:33:46giampaolo.rodolasetmessages: + msg67957
2008-06-11 01:39:11benjamin.petersonsetmessages: + msg67935
2008-06-11 01:33:25benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg67934
2008-06-08 19:49:54giampaolo.rodolasetfiles: + test_struct.py.diff
keywords: + patch
messages: + msg67847
nosy: + giampaolo.rodola
2008-05-18 22:23:30benjamin.petersoncreate